/* JoyFury.rexx - Simulate left/right high speed toggle on the joystick (ie. for sport games)
 * $VER: JoyFury.rexx 1.0 (29.03.11)  2011 by Philippe 'OffseT' Rimauro <offset@cpcscene.com>
 * Requires ACE 1.0 or later
 */

/*OPTIONS RESULTS*/
PARSE ARG delay

/*SIGNAL ON BREAK_C*/

if showlist('R','ACE.1') = 0 then do
    SAY "ACE not found."
    EXIT
END

ADDRESS "ACE.1"

"VERSION"
SAY "ACE version" RESULT "found."

IF delay="" THEN DO
    delay = 20000
END

SAY "Fury delay:" delay
SAY "Press CONTROL+C to quit"

DO WHILE RC = 0
    "RAWKEYSTROKE KEY 74 DELAY" delay
    "RAWKEYSTROKE KEY 75 DELAY" delay
END

EXIT
